---
lang: en
title: 'API docs: context.asresolutionoptions'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.asresolutionoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [asResolutionOptions](./context.asresolutionoptions.md)

## asResolutionOptions() function

Normalize ResolutionOptionsOrSession to ResolutionOptions

<b>Signature:</b>

```typescript
export declare function asResolutionOptions(optionsOrSession?: ResolutionOptionsOrSession): ResolutionOptions;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  optionsOrSession | <code>ResolutionOptionsOrSession</code> | resolution options or session |

<b>Returns:</b>

`ResolutionOptions`


